# Akamai\Open\EdgeGrid\Exception\ConfigException

####

## Synopsis

class ConfigException extends Exception {

- // Inherited members from Exception
- protected $message;
- protected $code;
- protected $file;
- protected $line;

- // Inherited methods from Exception
- public void __construct()
- public final string getMessage()
- public final Exception getPrevious()
- public final mixed getCode()
- public final string getFile()
- public final int getLine()
- public final array getTrace()
- public final string getTraceAsString()
- public string __toString()

}

## Hierarchy

#### Extends

- Akamai\Open\EdgeGrid\Exception

## Coverage

Methods | 0% | 0 / 0
Lines | 0% | 0 / 0

## Members

#### protected

- $code — int
  The exception code
- $file — string
  The filename where the exception was created
- $line — int
  The line where the exception was created
- $message — string
  The exception message

## Methods

### Inherited from Exception

#### public

- __toString() — String representation of the exception
- getCode() — Gets the Exception code
- getFile() — Gets the file in which the exception occurred
- getLine() — Gets the line in which the exception occurred
- getMessage() — Gets the Exception message
- getPrevious() — Returns previous Exception
- getTrace() — Gets the stack trace
- getTraceAsString() — Gets the stack trace as a string